dudley::NodeMapping Struct Reference

`#include <NodeMapping.h>`

## Public Member Functions

| NodeMapping ()
void | clear ()
| resets both map and target More...
void | assign (const index_t *theTarget, dim_t nNodes, index_t unused)
dim_t | getNumTargets () const
| returns the number of target nodes (number of items in the map array) More...

## Public Attributes

dim_t | numNodes
| size of `target` (number of FEM nodes) More...
index_t * | target
| target[i] defines the target of FEM node i=0,...,numNodes More...
dim_t | numTargets
| size of `map` (number of target nodes, e.g. DOF, reduced DOF, etc.) More...
index_t * | map
| maps the target nodes back to the FEM nodes: target[map[i]]=i More...

## Detailed Description

NodeMapping provides a mapping from the local nodes typically to the degrees of freedom, the reduced degrees of freedom or the reduced node set

## Constructor & Destructor Documentation

## NodeMapping()

dudley::NodeMapping::NodeMapping | ( |  | ) |

inline

## Member Function Documentation

## assign()

void dudley::NodeMapping::assign | ( | const index_t * | theTarget,
|  | dim_t | nNodes,
|  | index_t | unused
| ) |  |

inline

initializes a node mapping. The target array is copied and a reverse map created. theTarget[i]=unused means that no target is defined for FEM node i.

References map.

## clear()

void dudley::NodeMapping::clear | ( |  | ) |

inline

resets both map and target

References map, numNodes, and target.

## getNumTargets()

dim_t dudley::NodeMapping::getNumTargets | ( |  | ) | const

inline

returns the number of target nodes (number of items in the map array)

## Member Data Documentation

## map

index_t* dudley::NodeMapping::map

maps the target nodes back to the FEM nodes: target[map[i]]=i

Referenced by assign(), dudley::NodeFile::borrowDegreesOfFreedomTarget(), dudley::NodeFile::borrowNodesTarget(), and clear().

## numNodes

dim_t dudley::NodeMapping::numNodes

size of `target` (number of FEM nodes)

Referenced by clear().

## numTargets

dim_t dudley::NodeMapping::numTargets

size of `map` (number of target nodes, e.g. DOF, reduced DOF, etc.)

Referenced by dudley::NodeFile::getNumDegreesOfFreedomTargets().

## target

index_t* dudley::NodeMapping::target

target[i] defines the target of FEM node i=0,...,numNodes

Referenced by dudley::NodeFile::borrowTargetDegreesOfFreedom(), dudley::NodeFile::borrowTargetNodes(), and clear().

The documentation for this struct was generated from the following file:

- dudley/src/NodeMapping.h